M0Trigger1 = { CPos.New(2,18) }
M0Trigger2 = { CPos.New(2,23) }
M0Trigger3 = { CPos.New(6,18) }
M0Trigger4 = { CPos.New(6,23) }
M0Trigger5 = { CPos.New(10,18) }
M0Trigger6 = { CPos.New(10,23) }

M1Trigger1 = { CPos.New(2,33) }
M1Trigger2 = { CPos.New(2,38) }
M1Trigger3 = { CPos.New(6,33) }
M1Trigger4 = { CPos.New(6,38) }
M1Trigger5 = { CPos.New(10,33) }
M1Trigger6 = { CPos.New(10,38) }

M2Trigger1 = { CPos.New(54,18) }
M2Trigger2 = { CPos.New(54,23) }
M2Trigger3 = { CPos.New(50,18) }
M2Trigger4 = { CPos.New(50,23) }
M2Trigger5 = { CPos.New(46,18) }
M2Trigger6 = { CPos.New(46,23) }

M3Trigger1 = { CPos.New(54,33) }
M3Trigger2 = { CPos.New(54,38) }
M3Trigger3 = { CPos.New(50,33) }
M3Trigger4 = { CPos.New(50,38) }
M3Trigger5 = { CPos.New(46,33) }
M3Trigger6 = { CPos.New(46,38) }

M0e1Counter = 0
M0Maxe1 = 3
M0e3Counter = 0
M0Maxe3 = 3
M0civCounter = 0
M0Maxciv = 2
M0mediCounter = 0
M0Maxmedi = 2
M01tnkCounter = 0
M0Max1tnk = 2
M0jeepCounter = 0
M0Maxjeep = 2
M0e4Counter = 0
M0Maxe4 = 2
M0dogCounter = 0
M0Maxdog = 2
M0apcCounter = 0
M0Maxapc = 2
M0ftrkCounter = 0
M0Maxftrk = 2
M0e4Counter = 0
M0Maxe4 = 2

M1e1Counter = 0
M1Maxe1 = 3
M1e3Counter = 0
M1Maxe3 = 3
M1civCounter = 0
M1Maxciv = 2
M1mediCounter = 0
M1Maxmedi = 2
M11tnkCounter = 0
M1Max1tnk = 2
M1jeepCounter = 0
M1Maxjeep = 2
M1e4Counter = 0
M1Maxe4 = 2
M1dogCounter = 0
M1Maxdog = 2
M1apcCounter = 0
M1Maxapc = 2
M1ftrkCounter = 0
M1Maxftrk = 2
M1e4Counter = 0
M1Maxe4 = 2

M2e1Counter = 0
M2Maxe1 = 3
M2e3Counter = 0
M2Maxe3 = 3
M2civCounter = 0
M2Maxciv = 2
M2mediCounter = 0
M2Maxmedi = 2
M21tnkCounter = 0
M2Max1tnk = 2
M2jeepCounter = 0
M2Maxjeep = 2
M2e4Counter = 0
M2Maxe4 = 2
M2dogCounter = 0
M2Maxdog = 2
M2apcCounter = 0
M2Maxapc = 2
M2ftrkCounter = 0
M2Maxftrk = 2
M2e4Counter = 0
M2Maxe4 = 2

M3e1Counter = 0
M3Maxe1 = 3
M3e3Counter = 0
M3Maxe3 = 3
M3civCounter = 0
M3Maxciv = 2
M3mediCounter = 0
M3Maxmedi = 2
M31tnkCounter = 0
M3Max1tnk = 2
M3jeepCounter = 0
M3Maxjeep = 2
M3e4Counter = 0
M3Maxe4 = 2
M3dogCounter = 0
M3Maxdog = 2
M3apcCounter = 0
M3Maxapc = 2
M3ftrkCounter = 0
M3Maxftrk = 2
M3e4Counter = 0
M3Maxe4 = 2

CreateM0Allies1 = function()
	e10picturem0 = Actor.Create("medipic", true, { Location = CPos.New(6,16), Owner = Multi0 })
	newactor = Actor.Create("meditrigger", true, { Location = CPos.New(6,15), Owner = Multi0 })

	e11picturem0 = Actor.Create("civpic", true, { Location = CPos.New(6,25), Owner = Multi0 })
	newactor = Actor.Create("civtrigger", true, { Location = CPos.New(6,28), Owner = Multi0 })

	e12picturem0 = Actor.Create("jeeppic", true, { Location = CPos.New(10,16), Owner = Multi0 })
	newactor = Actor.Create("jeeptrigger", true, { Location = CPos.New(10,15), Owner = Multi0 })

	e13picturem0 = Actor.Create("1tnkpic", true, { Location = CPos.New(10,25), Owner = Multi0 })
	newactor = Actor.Create("1tnktrigger", true, { Location = CPos.New(10,28), Owner = Multi0 })
	if not M0Allies1Triggers then
		M0Allies1Triggers = true
		Trigger.OnEnteredFootprint(M0Trigger3, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M0mediCounter = M0mediCounter +1
				if M0Maxmedi == M0mediCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(6,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Chosemedi()
			end
		end)
		Trigger.OnEnteredFootprint(M0Trigger4, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M0civCounter = M0civCounter +1
				if M0Maxciv == M0civCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(6,23), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Choseciv()
			end
		end)
		Trigger.OnEnteredFootprint(M0Trigger5, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M0jeepCounter = M0jeepCounter +1
				if M0Maxjeep == M0jeepCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(10,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Chosejeep()
			end
		end)
		Trigger.OnEnteredFootprint(M0Trigger6, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M01tnkCounter = M01tnkCounter +1
				if M0Max1tnk == M01tnkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(10,23), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Chose1tnk()
			end
		end)
	end
end

CreateM0Soviet1 = function()
	e10picturem0 = Actor.Create("e4pic", true, { Location = CPos.New(6,16), Owner = Multi0 })
	newactor = Actor.Create("e4trigger", true, { Location = CPos.New(6,15), Owner = Multi0 })

	e11picturem0 = Actor.Create("dogpic", true, { Location = CPos.New(6,25), Owner = Multi0 })
	newactor = Actor.Create("dogtrigger", true, { Location = CPos.New(6,28), Owner = Multi0 })

	e12picturem0 = Actor.Create("apcpic", true, { Location = CPos.New(10,16), Owner = Multi0 })
	newactor = Actor.Create("apctrigger", true, { Location = CPos.New(10,15), Owner = Multi0 })

	e13picturem0 = Actor.Create("ftrkpic", true, { Location = CPos.New(10,25), Owner = Multi0 })
	newactor = Actor.Create("ftrktrigger", true, { Location = CPos.New(10,28), Owner = Multi0 })
	if not M0Soviet1Triggers then
		M0Soviet1Triggers = true
		Trigger.OnEnteredFootprint(M0Trigger3, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M0e4Counter = M0e4Counter +1
				if M0Maxe4 == M0e4Counter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(6,18), Owner = France })
				end
					Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Chosee4()
			end
		end)
		Trigger.OnEnteredFootprint(M0Trigger4, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M0dogCounter = M0dogCounter +1
				if M0Maxdog == M0dogCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(6,23), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Chosedog()
			end
		end)
		Trigger.OnEnteredFootprint(M0Trigger5, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M0apcCounter = M0apcCounter +1
				if M0Maxapc == M0apcCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(10,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Choseapc()
			end
		end)
		Trigger.OnEnteredFootprint(M0Trigger6, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M0ftrkCounter = M0ftrkCounter +1
				if M0Maxftrk == M0ftrkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(10,23), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Choseftrk()
			end
		end)
	end
end

CreateM1Allies1 = function()
	e10picturem1 = Actor.Create("medipic", true, { Location = CPos.New(6,31), Owner = Multi1 })
	newactor = Actor.Create("meditrigger", true, { Location = CPos.New(6,30), Owner = Multi1 })

	e11picturem1 = Actor.Create("civpic", true, { Location = CPos.New(6,40), Owner = Multi1 })
	newactor = Actor.Create("civtrigger", true, { Location = CPos.New(6,43), Owner = Multi1 })

	e12picturem1 = Actor.Create("jeeppic", true, { Location = CPos.New(10,31), Owner = Multi1 })
	newactor = Actor.Create("jeeptrigger", true, { Location = CPos.New(10,30), Owner = Multi1 })

	e13picturem1 = Actor.Create("1tnkpic", true, { Location = CPos.New(10,40), Owner = Multi1 })
	newactor = Actor.Create("1tnktrigger", true, { Location = CPos.New(10,43), Owner = Multi1 })
	if not M1Allies1Triggers then
		M1Allies1Triggers = true
		Trigger.OnEnteredFootprint(M1Trigger3, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M1mediCounter = M1mediCounter +1
				if M1Maxmedi == M1mediCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(6,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Chosemedi()
			end
		end)
		Trigger.OnEnteredFootprint(M1Trigger4, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M1civCounter = M1civCounter +1
				if M1Maxciv == M1civCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(6,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Choseciv()
			end
		end)
		Trigger.OnEnteredFootprint(M1Trigger5, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M1jeepCounter = M1jeepCounter +1
				if M1Maxjeep == M1jeepCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(10,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Chosejeep()
			end
		end)
		Trigger.OnEnteredFootprint(M1Trigger6, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M11tnkCounter = M11tnkCounter +1
				if M1Max1tnk == M11tnkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(10,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Chose1tnk()
			end
		end)
	end
end

CreateM1Soviet1 = function()
	e10picturem1 = Actor.Create("e4pic", true, { Location = CPos.New(6,31), Owner = Multi1 })
	newactor = Actor.Create("e4trigger", true, { Location = CPos.New(6,30), Owner = Multi1 })

	e11picturem1 = Actor.Create("dogpic", true, { Location = CPos.New(6,40), Owner = Multi1 })
	newactor = Actor.Create("dogtrigger", true, { Location = CPos.New(6,43), Owner = Multi1 })

	e12picturem1 = Actor.Create("apcpic", true, { Location = CPos.New(10,31), Owner = Multi1 })
	newactor = Actor.Create("apctrigger", true, { Location = CPos.New(10,30), Owner = Multi1 })

	e13picturem1 = Actor.Create("ftrkpic", true, { Location = CPos.New(10,40), Owner = Multi1 })
	newactor = Actor.Create("ftrktrigger", true, { Location = CPos.New(10,43), Owner = Multi1 })

	if not M1Soviet1Triggers then
		M1Soviet1Triggers = true
		Trigger.OnEnteredFootprint(M1Trigger3, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M1e4Counter = M1e4Counter +1
				if M1Maxe4 == M1e4Counter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(6,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Chosee4()
			end
		end)
		Trigger.OnEnteredFootprint(M1Trigger4, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M1dogCounter = M1dogCounter +1
				if M1Maxdog == M1dogCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(6,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Chosedog()
			end
		end)
		Trigger.OnEnteredFootprint(M1Trigger5, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M1apcCounter = M1apcCounter +1
				if M1Maxapc == M1apcCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(10,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Choseapc()
			end
		end)
		Trigger.OnEnteredFootprint(M1Trigger6, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M1ftrkCounter = M1ftrkCounter +1
				if M1Maxftrk == M1ftrkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(10,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Choseftrk()
			end
		end)
	end
end



CreateM2Allies1 = function()
	e10picturem2 = Actor.Create("medipic", true, { Location = CPos.New(50,16), Owner = Multi2 })
	newactor = Actor.Create("meditrigger", true, { Location = CPos.New(50,15), Owner = Multi2 })

	e11picturem2 = Actor.Create("civpic", true, { Location = CPos.New(50,25), Owner = Multi2 })
	newactor = Actor.Create("civtrigger", true, { Location = CPos.New(50,28), Owner = Multi2 })

	e12picturem2 = Actor.Create("jeeppic", true, { Location = CPos.New(46,16), Owner = Multi2 })
	newactor = Actor.Create("jeeptrigger", true, { Location = CPos.New(46,15), Owner = Multi2 })
	e13picturem2 = Actor.Create("1tnkpic", true, { Location = CPos.New(46,25), Owner = Multi2 })
	newactor = Actor.Create("1tnktrigger", true, { Location = CPos.New(46,28), Owner = Multi2 })
	if not M2Allies1Triggers then
		M2Allies1Triggers = true
		Trigger.OnEnteredFootprint(M2Trigger3, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M2mediCounter = M2mediCounter +1
				if M2Maxmedi == M2mediCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(50,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Chosemedi()
			end
		end)
		Trigger.OnEnteredFootprint(M2Trigger4, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M2civCounter = M2civCounter +1
				if M2Maxciv == M2civCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(50,23), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Choseciv()
			end
		end)
		Trigger.OnEnteredFootprint(M2Trigger5, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M2jeepCounter = M2jeepCounter +1
				if M2Maxjeep == M2jeepCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(46,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Chosejeep()
			end
		end)
		Trigger.OnEnteredFootprint(M2Trigger6, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M21tnkCounter = M21tnkCounter +1
				if M2Max1tnk == M21tnkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(46,23), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Chose1tnk()
			end
		end)
	end
end

CreateM2Soviet1 = function()
	e10picturem2 = Actor.Create("e4pic", true, { Location = CPos.New(50,16), Owner = Multi2 })
	newactor = Actor.Create("e4trigger", true, { Location = CPos.New(50,15), Owner = Multi2 })

	e11picturem2 = Actor.Create("dogpic", true, { Location = CPos.New(50,25), Owner = Multi2 })
	newactor = Actor.Create("dogtrigger", true, { Location = CPos.New(50,28), Owner = Multi2 })

	e12picturem2 = Actor.Create("apcpic", true, { Location = CPos.New(46,16), Owner = Multi2 })
	newactor = Actor.Create("apctrigger", true, { Location = CPos.New(46,15), Owner = Multi2 })
	e13picturem2 = Actor.Create("ftrkpic", true, { Location = CPos.New(46,25), Owner = Multi2 })
	newactor = Actor.Create("ftrktrigger", true, { Location = CPos.New(46,28), Owner = Multi2 })
	if not M2Soviet1Triggers then
		M2Soviet1Triggers = true
		Trigger.OnEnteredFootprint(M2Trigger3, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M2e4Counter = M2e4Counter +1
				if M2Maxe4 == M2e4Counter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(50,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Chosee4()
			end
		end)
		Trigger.OnEnteredFootprint(M2Trigger4, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M2dogCounter = M2dogCounter +1
				if M2Maxdog == M2dogCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(50,23), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Chosedog()
			end
		end)
		Trigger.OnEnteredFootprint(M2Trigger5, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M2apcCounter = M2apcCounter +1
				if M2Maxapc == M2apcCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(46,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Choseapc()
			end
		end)
		Trigger.OnEnteredFootprint(M2Trigger6, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M2ftrkCounter = M2ftrkCounter +1
				if M2Maxftrk == M2ftrkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(46,23), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()

				a.Destroy()
				M2Choseftrk()
			end
		end)
	end
end

CreateM3Soviet1 = function()
	e10picturem3 = Actor.Create("e4pic", true, { Location = CPos.New(50,31), Owner = Multi3 })
	newactor = Actor.Create("e4trigger", true, { Location = CPos.New(50,30), Owner = Multi3 })
	e11picturem3 = Actor.Create("dogpic", true, { Location = CPos.New(50,40), Owner = Multi3 })
	newactor = Actor.Create("dogtrigger", true, { Location = CPos.New(50,43), Owner = Multi3 })

	e12picturem3 = Actor.Create("apcpic", true, { Location = CPos.New(46,31), Owner = Multi3 })
	newactor = Actor.Create("apctrigger", true, { Location = CPos.New(46,30), Owner = Multi3 })

	e13picturem3 = Actor.Create("ftrkpic", true, { Location = CPos.New(46,40), Owner = Multi3 })
	newactor = Actor.Create("ftrktrigger", true, { Location = CPos.New(46,43), Owner = Multi3 })
	if not M3Soviet1Triggers then
		M3Soviet1Triggers = true
		Trigger.OnEnteredFootprint(M3Trigger3, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M3e4Counter = M3e4Counter +1
				if M3Maxe4 == M3e4Counter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(50,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Chosee4()
			end
		end)
		Trigger.OnEnteredFootprint(M3Trigger4, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M3dogCounter = M3dogCounter +1
				if M3Maxdog == M3dogCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(50,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Chosedog()
			end
		end)
		Trigger.OnEnteredFootprint(M3Trigger5, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M3apcCounter = M3apcCounter +1
				if M3Maxapc == M3apcCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(46,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Choseapc()
			end
		end)
		Trigger.OnEnteredFootprint(M3Trigger6, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M3ftrkCounter = M3ftrkCounter +1
				if M3Maxftrk == M3ftrkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(46,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Choseftrk()
			end
		end)
	end
end

CreateM3Allies1 = function()
	e10picturem3 = Actor.Create("medipic", true, { Location = CPos.New(50,31), Owner = Multi3 })
	newactor = Actor.Create("meditrigger", true, { Location = CPos.New(50,30), Owner = Multi3 })
	e11picturem3 = Actor.Create("civpic", true, { Location = CPos.New(50,40), Owner = Multi3 })
	newactor = Actor.Create("civtrigger", true, { Location = CPos.New(50,43), Owner = Multi3 })

	e12picturem3 = Actor.Create("jeeppic", true, { Location = CPos.New(46,31), Owner = Multi3 })
	newactor = Actor.Create("jeeptrigger", true, { Location = CPos.New(46,30), Owner = Multi3 })

	e13picturem3 = Actor.Create("1tnkpic", true, { Location = CPos.New(46,40), Owner = Multi3 })
	newactor = Actor.Create("1tnktrigger", true, { Location = CPos.New(46,43), Owner = Multi3 })
	if not M3Allies1Triggers then
		M3Allies1Triggers = true
		Trigger.OnEnteredFootprint(M3Trigger3, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M3mediCounter = M3mediCounter +1
				if M3Maxmedi == M3mediCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(50,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Chosemedi()
			end
		end)
		Trigger.OnEnteredFootprint(M3Trigger4, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M3civCounter = M3civCounter +1
				if M3Maxciv == M3civCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(50,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Choseciv()
			end
		end)
		Trigger.OnEnteredFootprint(M3Trigger5, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M3jeepCounter = M3jeepCounter +1
				if M3Maxjeep == M3jeepCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(46,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Chosejeep()
			end
		end)
		Trigger.OnEnteredFootprint(M3Trigger6, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M31tnkCounter = M31tnkCounter +1
				if M3Max1tnk == M31tnkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(46,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Chose1tnk()
			end
		end)
	end
end

-- Multi0

M0e1counter = 0
M0Chosee1 = function()
	if M0e1counter < 26 then
		newactor = Actor.Create("e1", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter() newactor.AddTag(Newactor)
		M0e1counter = M0e1counter +1
		M0Chosee1()
	elseif M0e1counter == 26 then
		M0e1counter = 0
	end
end

M0e3counter = 0
M0Chosee3 = function()
	if M0e3counter < 12 then
		newactor = Actor.Create("e3", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
		M0e3counter = M0e3counter +1
		M0Chosee3()
	elseif M0e3counter == 12 then
		M0e3counter = 0
	end
end

M0medicounter = 0
M0Chosemedi = function()
	if M0medicounter < 11 then
		newactor = Actor.Create("medi", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
		M0medicounter = M0medicounter +1
		M0Chosemedi()
	elseif M0medicounter == 11 then
		M0medicounter = 0
	end
end

Civillians = { "tecn", "c1", "c7", "civ4", "civ5", "civ6", "civ7", "civ8", "civ9", "civ10", "civ11", "civ12", "civ13", "civ14", "civ15", "civ16", "civ17" }

M0civcounter = 0
M0Choseciv = function()
	if M0civcounter < 38 then
		RandomCiv = Utils.Random(Civillians)
		newactor = Actor.Create(RandomCiv, true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
		M0civcounter = M0civcounter +1
		M0Choseciv()
	elseif M0civcounter == 38 then
		M0civcounter = 0
	end
end

M01tnkcounter = 0
M0Chose1tnk = function()
	if M01tnkcounter < 5 then
		newactor = Actor.Create("1tnk", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()

		M01tnkcounter = M01tnkcounter +1
		M0Chose1tnk()
	elseif M01tnkcounter == 5 then
		M01tnkcounter = 0
	end
end

M0jeepcounter = 0
M0Chosejeep = function()
	if M0jeepcounter < 6 then
		newactor = Actor.Create("jeep", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
		M0jeepcounter = M0jeepcounter +1
		M0Chosejeep()
	elseif M0jeepcounter == 6 then
		M0jeepcounter = 0
	end
end
--      Soviet

M0e4counter = 0
M0Chosee4 = function()
	if M0e4counter < 11 then
		newactor = Actor.Create("e4", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
		M0e4counter = M0e4counter +1
		M0Chosee4()
	elseif M0e4counter == 11 then
		M0e4counter = 0
	end
end

M0dogcounter = 0
M0Chosedog = function()
	if M0dogcounter < 22 then
		newactor = Actor.Create("dog", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
		M0dogcounter = M0dogcounter +1
		M0Chosedog()
	elseif M0dogcounter == 22 then
		M0dogcounter = 0
	end
end

M0apccounter = 0
M0Choseapc = function()
	if M0apccounter < 5 then
		newactor = Actor.Create("apc", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()

		M0apccounter = M0apccounter +1
		M0Choseapc()
	elseif M0apccounter == 5 then
		M0apccounter = 0
	end
end

M0ftrkcounter = 0
M0Choseftrk = function()
	if M0ftrkcounter < 6 then
		newactor = Actor.Create("ftrk", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
		M0ftrkcounter = M0ftrkcounter +1
		M0Choseftrk()
	elseif M0ftrkcounter == 6 then
		M0ftrkcounter = 0
	end
end

-- Multi1

M1e1counter = 0
M1Chosee1 = function()
	if M1e1counter < 26 then
		newactor = Actor.Create("e1", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
		M1e1counter = M1e1counter +1
		M1Chosee1()
	elseif M1e1counter == 26 then
		M1e1counter = 0
	end
end

M1e3counter = 0
M1Chosee3 = function()
	if M1e3counter < 12 then
		newactor = Actor.Create("e3", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
		M1e3counter = M1e3counter +1
		M1Chosee3()
	elseif M1e3counter == 12 then
		M1e3counter = 0
	end
end

M1medicounter = 0
M1Chosemedi = function()
	if M1medicounter < 11 then
		newactor = Actor.Create("medi", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
		M1medicounter = M1medicounter +1
		M1Chosemedi()
	elseif M1medicounter == 11 then
		M1medicounter = 0
	end
end

Civillians = { "tecn", "c1", "c7", "civ4", "civ5", "civ6", "civ7", "civ8", "civ9", "civ10", "civ11", "civ12", "civ13", "civ14", "civ15", "civ16", "civ17" }

M1civcounter = 0
M1Choseciv = function()
	if M1civcounter < 38 then
		RandomCiv = Utils.Random(Civillians)
		newactor = Actor.Create(RandomCiv, true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
		M1civcounter = M1civcounter +1
		M1Choseciv()
	elseif M1civcounter == 38 then
		M1civcounter = 0
	end
end

M11tnkcounter = 0
M1Chose1tnk = function()
	if M11tnkcounter < 5 then
		newactor = Actor.Create("1tnk", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()

		M11tnkcounter = M11tnkcounter +1
		M1Chose1tnk()
	elseif M11tnkcounter == 5 then
		M11tnkcounter = 0
	end
end

M1jeepcounter = 0
M1Chosejeep = function()
	if M1jeepcounter < 6 then
		newactor = Actor.Create("jeep", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
		M1jeepcounter = M1jeepcounter +1
		M1Chosejeep()
	elseif M1jeepcounter == 6 then
		M1jeepcounter = 0
	end
end
 --    Soviet

M1e4counter = 0
M1Chosee4 = function()
	if M1e4counter < 11 then
		newactor = Actor.Create("e4", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
		M1e4counter = M1e4counter +1
		M1Chosee4()
	elseif M1e4counter == 11 then
		M1e4counter = 0
	end
end

M1dogcounter = 0
M1Chosedog = function()
	if M1dogcounter < 22 then
		newactor = Actor.Create("dog", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
		M1dogcounter = M1dogcounter +1
		M1Chosedog()
	elseif M1dogcounter == 22 then
		M1dogcounter = 0
	end
end
M1apccounter = 0
M1Choseapc = function()
	if M1apccounter < 5 then
		newactor = Actor.Create("apc", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()

		M1apccounter = M1apccounter +1
		M1Choseapc()
	elseif M1apccounter == 5 then
		M1apccounter = 0
	end
end

M1ftrkcounter = 0
M1Choseftrk = function()
	if M1ftrkcounter < 6 then
		newactor = Actor.Create("ftrk", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
		M1ftrkcounter = M1ftrkcounter +1
		M1Choseftrk()
	elseif M1ftrkcounter == 6 then
		M1ftrkcounter = 0
	end
end


-- Multi2

M2e1counter = 0
M2Chosee1 = function()
	if M2e1counter < 26 then
		newactor = Actor.Create("e1", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
		M2e1counter = M2e1counter +1
		M2Chosee1()
	elseif M2e1counter == 26 then
		M2e1counter = 0
	end
end

M2e3counter = 0
M2Chosee3 = function()
	if M2e3counter < 12 then
		newactor = Actor.Create("e3", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
		M2e3counter = M2e3counter +1
		M2Chosee3()
	elseif M2e3counter == 12 then
		M2e3counter = 0
	end
end


M2medicounter = 0
M2Chosemedi = function()
	if M2medicounter < 11 then
		newactor = Actor.Create("medi", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
		M2medicounter = M2medicounter +1
		M2Chosemedi()
	elseif M2medicounter == 11 then
		M2medicounter = 0
	end
end

Civillians = { "tecn", "c1", "c7", "civ4", "civ5", "civ6", "civ7", "civ8", "civ9", "civ10", "civ11", "civ12", "civ13", "civ14", "civ15", "civ16", "civ17" }

M2civcounter = 0
M2Choseciv = function()
	if M2civcounter < 38 then
		RandomCiv = Utils.Random(Civillians)
		newactor = Actor.Create(RandomCiv, true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
		M2civcounter = M2civcounter +1
		M2Choseciv()
	elseif M2civcounter == 38 then
		M2civcounter = 0
	end
end

M21tnkcounter = 0
M2Chose1tnk = function()
	if M21tnkcounter < 5 then
		newactor = Actor.Create("1tnk", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()

		M21tnkcounter = M21tnkcounter +1
		M2Chose1tnk()
	elseif M21tnkcounter == 5 then
		M21tnkcounter = 0
	end
end

M2jeepcounter = 0
M2Chosejeep = function()
	if M2jeepcounter < 6 then
		newactor = Actor.Create("jeep", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
		M2jeepcounter = M2jeepcounter +1
		M2Chosejeep()
	elseif M2jeepcounter == 6 then
		M2jeepcounter = 0
	end
end

--     Soviet

M2e4counter = 0
M2Chosee4 = function()
	if M2e4counter < 11 then
		newactor = Actor.Create("e4", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
		M2e4counter = M2e4counter +1
		M2Chosee4()
	elseif M2e4counter == 11 then
		M2e4counter = 0
	end
end

M2dogcounter = 0
M2Chosedog = function()
	if M2dogcounter < 22 then
		newactor = Actor.Create("dog", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
		M2dogcounter = M2dogcounter +1
		M2Chosedog()
	elseif M2dogcounter == 22 then
		M2dogcounter = 0
	end
end
M2apccounter = 0
M2Choseapc = function()
	if M2apccounter < 5 then
		newactor = Actor.Create("apc", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()

		M2apccounter = M2apccounter +1
		M2Choseapc()
	elseif M2apccounter == 5 then
		M2apccounter = 0
	end
end

M2ftrkcounter = 0
M2Choseftrk = function()
	if M2ftrkcounter < 6 then
		newactor = Actor.Create("ftrk", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
		M2ftrkcounter = M2ftrkcounter +1
		M2Choseftrk()
	elseif M2ftrkcounter == 6 then
		M2ftrkcounter = 0
	end
end


-- Multi3

M3e1counter = 0
M3Chosee1 = function()
	if M3e1counter < 26 then
		newactor = Actor.Create("e1", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
		M3e1counter = M3e1counter +1
		M3Chosee1()
	elseif M3e1counter == 26 then
		M3e1counter = 0
	end
end

M3e3counter = 0
M3Chosee3 = function()
	if M3e3counter < 12 then
		newactor = Actor.Create("e3", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
		M3e3counter = M3e3counter +1
		M3Chosee3()
	elseif M3e3counter == 12 then
		M3e3counter = 0
	end
end


M3medicounter = 0
M3Chosemedi = function()
	if M3medicounter < 11 then
		newactor = Actor.Create("medi", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
		M3medicounter = M3medicounter +1
		M3Chosemedi()
	elseif M3medicounter == 11 then
		M3medicounter = 0
	end
end

Civillians = { "tecn", "c1", "c7", "civ4", "civ5", "civ6", "civ7", "civ8", "civ9", "civ10", "civ11", "civ12", "civ13", "civ14", "civ15", "civ16", "civ17" }

M3civcounter = 0
M3Choseciv = function()
	if M3civcounter < 38 then
		RandomCiv = Utils.Random(Civillians)
		newactor = Actor.Create(RandomCiv, true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
		M3civcounter = M3civcounter +1
		M3Choseciv()
	elseif M3civcounter == 38 then
		M3civcounter = 0
	end
end

M31tnkcounter = 0
M3Chose1tnk = function()
	if M31tnkcounter < 5 then
		newactor = Actor.Create("1tnk", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()

		M31tnkcounter = M31tnkcounter +1
		M3Chose1tnk()
	elseif M31tnkcounter == 5 then
		M31tnkcounter = 0
	end
end

M3jeepcounter = 0
M3Chosejeep = function()
	if M3jeepcounter < 6 then
		newactor = Actor.Create("jeep", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
		M3jeepcounter = M3jeepcounter +1
		M3Chosejeep()
	elseif M3jeepcounter == 6 then
		M3jeepcounter = 0
	end
end

M3e4counter = 0
M3Chosee4 = function()
	if M3e4counter < 11 then
		newactor = Actor.Create("e4", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
		M3e4counter = M3e4counter +1
		M3Chosee4()
	elseif M3e4counter == 11 then
		M3e4counter = 0
	end
end
M3dogcounter = 0
M3Chosedog = function()
	if M3dogcounter < 22 then
		newactor = Actor.Create("dog", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
		M3dogcounter = M3dogcounter +1
		M3Chosedog()
	elseif M3dogcounter == 22 then
		M3dogcounter = 0
	end
end
M3apccounter = 0
M3Choseapc = function()
	if M3apccounter < 5 then
		newactor = Actor.Create("apc", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
		M3apccounter = M3apccounter +1
		M3Choseapc()
	elseif M3apccounter == 5 then
		M3apccounter = 0
	end
end

M3ftrkcounter = 0
M3Choseftrk = function()
	if M3ftrkcounter < 6 then
		newactor = Actor.Create("ftrk", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
		M3ftrkcounter = M3ftrkcounter +1
		M3Choseftrk()
	elseif M3ftrkcounter == 6 then
		M3ftrkcounter = 0
	end
end


SetTriggers = function()
-- Multi0
	Trigger.OnEnteredFootprint(M0Trigger1, function(a, id)
		if a.Type == "truk" and a.Owner ~= Golden then
			M0e1Counter = M0e1Counter +1
			if M0Maxe1 == M0e1Counter then
				newactor = Actor.Create("nix01", true, { Location = CPos.New(2,18), Owner = France })
			end
			Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
			a.Owner = Golden
			a.Stop()
			a.Destroy()
			M0Chosee1()
		end
	end)
	Trigger.OnEnteredFootprint(M0Trigger2, function(a, id)
		if a.Type == "truk" and a.Owner ~= Golden then
			M0e3Counter = M0e3Counter +1
			if M0Maxe3 == M0e3Counter then
				newactor = Actor.Create("nix01", true, { Location = CPos.New(2,23), Owner = France })
			end
			Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
			a.Owner = Golden
			a.Stop()
			a.Destroy()
			M0Chosee3()
		end
	end)

-- Multi1
	Trigger.OnEnteredFootprint(M1Trigger1, function(a, id)
		if a.Type == "truk" and a.Owner ~= Golden then
			M1e1Counter = M1e1Counter +1
			if M1Maxe1 == M1e1Counter then
				newactor = Actor.Create("nix01", true, { Location = CPos.New(2,33), Owner = France })
			end
			Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
			a.Owner = Golden
			a.Stop()
			a.Destroy()
			M1Chosee1()
		end
	end)
	Trigger.OnEnteredFootprint(M1Trigger2, function(a, id)
		if a.Type == "truk" and a.Owner ~= Golden then
			M1e3Counter = M1e3Counter +1
			if M1Maxe3 == M1e3Counter then
				newactor = Actor.Create("nix01", true, { Location = CPos.New(2,38), Owner = France })
			end
			Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
			a.Owner = Golden
			a.Stop()
			a.Destroy()
			M1Chosee3()
		end
	end)

-- Multi2
	Trigger.OnEnteredFootprint(M2Trigger1, function(a, id)
		if a.Type == "truk" and a.Owner ~= Golden then
			M2e1Counter = M2e1Counter +1
			if M2Maxe1 == M2e1Counter then
				newactor = Actor.Create("nix01", true, { Location = CPos.New(54,18), Owner = France })
			end
			Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
			a.Owner = Golden
			a.Stop()
			a.Destroy()
			M2Chosee1()
		end
	end)
	Trigger.OnEnteredFootprint(M2Trigger2, function(a, id)
		if a.Type == "truk" and a.Owner ~= Golden then
			M2e3Counter = M2e3Counter +1
			if M2Maxe3 == M2e3Counter then
				newactor = Actor.Create("nix01", true, { Location = CPos.New(54,23), Owner = France })
			end
			Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
			a.Owner = Golden
			a.Stop()
			a.Destroy()
			M2Chosee3()
		end
	end)

-- Multi3
	Trigger.OnEnteredFootprint(M3Trigger1, function(a, id)
		if a.Type == "truk" and a.Owner ~= Golden then
			M3e1Counter = M3e1Counter +1
			if M3Maxe1 == M3e1Counter then
				newactor = Actor.Create("nix01", true, { Location = CPos.New(54,33), Owner = France })
			end
			Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
			a.Owner = Golden
			a.Stop()
			a.Destroy()
			M3Chosee1()
		end
	end)
	Trigger.OnEnteredFootprint(M3Trigger2, function(a, id)
		if a.Type == "truk" and a.Owner ~= Golden then
			M3e3Counter = M3e3Counter +1
			if M3Maxe3 == M3e3Counter then
				newactor = Actor.Create("nix01", true, { Location = CPos.New(54,38), Owner = France })
			end
			Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
			a.Owner = Golden
			a.Stop()
			a.Destroy()
			M3Chosee3()
		end
	end)
end